OpenTTD Source: CargoLoad Class Reference

OpenTTD Source 14.1

Public Member Functions | Protected Attributes
CargoLoad Class Reference

Action of loading cargo from a station onto a vehicle. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoLoad:

## Public Member Functions
| CargoLoad (StationCargoList *source, VehicleCargoList *destination, uint max_move, TileIndex current_tile)
bool | operator() (CargoPacket *cp)
| Loads some cargo onto a vehicle. More...
Public Member Functions inherited from CargoMovement< StationCargoList, VehicleCargoList >
| CargoMovement (StationCargoList *source, VehicleCargoList *destination, uint max_move)
uint | MaxMove ()
| Returns how much more cargo can be moved with this action. More...

## Protected Attributes
TileIndex | current_tile
| Current tile cargo loading is happening.
Protected Attributes inherited from CargoMovement< StationCargoList, VehicleCargoList >
StationCargoList * | source
| Source of the cargo.
VehicleCargoList * | destination
| Destination for the cargo.
uint | max_move
| Maximum amount of cargo to be moved with this action.

## Additional Inherited Members
Protected Member Functions inherited from CargoMovement< StationCargoList, VehicleCargoList >
CargoPacket * | Preprocess (CargoPacket *cp)
| Decides if a packet needs to be split. More...

## Detailed Description

Action of loading cargo from a station onto a vehicle.

Definition at line 82 of file cargoaction.h.

## Member Function Documentation

## ◆ operator()()

bool CargoLoad::operator() | ( | CargoPacket * | cp | ) |

Loads some cargo onto a vehicle.

Parameters

  cp | Packet to be loaded.

Returns
  True if the packet was completely loaded, false if part of it was.

Definition at line 119 of file cargoaction.cpp.

References VehicleCargoList::Append(), CargoPacket::Count(), current_tile, CargoMovement< StationCargoList, VehicleCargoList >::destination, CargoList< VehicleCargoList, CargoPacketList >::MTA_KEEP, CargoMovement< StationCargoList, VehicleCargoList >::Preprocess(), CargoList< Tinst, Tcont >::RemoveFromCache(), CargoMovement< StationCargoList, VehicleCargoList >::source, and CargoPacket::UpdateLoadingTile().

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp